Page MenuHomePhabricator

[EPIC] Provide support to people in design-related roles (Phase 1, Design Statement of Purpose)
Closed, ResolvedPublic

Description

TPG has been asked to provide support to people in design-related roles in addressing some of their challenges and pain points, in particular around some of the challenges that emerged after the product/engineering reorganization in 2015.

This task is scoped to create an initial draft agreed upon the design group of their statement of purpose.

Related Objects

StatusSubtypeAssignedTask
ResolvedAwjrichards
ResolvedAwjrichards
ResolvedAwjrichards
Resolvedggellerman
ResolvedAwjrichards
ResolvedAwjrichards
ResolvedAwjrichards
ResolvedAwjrichards
ResolvedAwjrichards
ResolvedAwjrichards
ResolvedAwjrichards
ResolvedAwjrichards
InvalidAwjrichards
InvalidAwjrichards
InvalidAwjrichards
ResolvedAwjrichards
ResolvedAwjrichards
ResolvedAwjrichards
ResolvedAwjrichards
ResolvedAwjrichards
DeclinedAwjrichards
ResolvedAwjrichards
ResolvedKLans_WMF
DeclinedNone
DeclinedAwjrichards
ResolvedAwjrichards

Event Timeline

Awjrichards renamed this task from Provide support to people in design-related roles to [Epic] Provide support to people in design-related roles.Jun 9 2016, 8:27 PM
Awjrichards lowered the priority of this task from High to Medium.
JAufrecht renamed this task from [Epic] Provide support to people in design-related roles to [EPIC] Provide support to people in design-related roles.Jul 7 2016, 9:23 PM

@Awjrichards suggestion - find a way to break this into Phase one (internal) and Phase two (external/public) to reflect quarterly goals.

@KLans_WMF I think that's a good idea. I'm trying to decide how to manage it (which I guess is related to @JAufrecht's email about how we should handle quarterly transitions with our goal-related tasks/tags). Here's what I am imagining:

  • Rename this task to "[EPIC] Provide support to people in design-related roles (Phase 1, Design Statement of Purpose)"
  • Close out this task with a description saying this wound up emergently being scoped to end with the first draft amongst the design group of Design Statement of purpose
  • Remove the Q1 goal tag from the now out-of-scope tasks (all the ones related to Phase 2 & 3 of the statement of purpose stuff), and tag all of those with the new Q2 goal tag
  • Create a new task "[EPIC] Design Statement of Purpose (Phase 2 & 3), tag it with Q2 goal tag

This goes slightly against what I advocated in response to Joel's email (that we should keep old quarterly goal tags on tasks even if the tasks weren't completed during that specific quarter, because the historic record is useful), but in this case, since the scope of the project changed for the quarter, the tasks are now out-of-scope and I think it makes sense for the tags to reflect that.

Thoughts?

@Awjrichards it seems that

Remove the Q1 goal tag from the now out-of-scope tasks (all the ones related to Phase 2 & 3 of the statement of purpose stuff), and tag all of those with the new Q2 goal tag

is still an open action.

Can you remove Q1 tags from relevant tasks so we can complete our Q1 Phab goal closeout?

Awjrichards renamed this task from [EPIC] Provide support to people in design-related roles to [EPIC] Provide support to people in design-related roles (Phase 1, Design Statement of Purpose).Nov 3 2016, 9:15 PM
Awjrichards closed this task as Resolved.
Awjrichards updated the task description. (Show Details)

I just re-scoped this task per the above comment, created T149951 and re-associated all appropriate tasks with the Q2 task. Now that all child tasks of this are complete, I am closing this out.